Subject: Re: bug#17893: 24.4.50; (error "Marker does not point anywhere")

From: Eli Zaretskii <[email-masked]>
Date: Fri, 24 Nov 2017 22:39:37 +0200

> Date: Fri, 24 Nov 2017 21:18:36 +0100
> From: [email-masked] (Charles A. Roelli)
> CC: [email-masked], [email-masked]
> 
> I suppose the main issue is fixed in master now:

That's just one particular case of a more general problem with markers
stored or referenced from local variables of the cloned buffer.

> To solve the problem more generally, maybe clone-buffer could look for
> local variables with a non-nil symbol property (called, say,
> `clone-buffer-update-function'), the value of which would be a
> function that updates the "cloned" variable properly.

This is not different from running a clone-buffer-update-function: it
again lets modes take care of the variables thy know about which need
special handling at clone time.  My problem with that is that I don't
believe this is a complete solution.